GuideLab API

Update Document Settings

Update document settings for the current lab. Creates default settings if none exist. Controls document title, terms, footer text, and manufacture info.

PUT
/document-settings

Update document settings for the current lab. Creates default settings if none exist. Controls document title, terms, footer text, and manufacture info.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/document-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "labId": "string",    "documentType": "string",    "title": "string",    "termsAndConditions": "string",    "footerText": "string",    "footerLogoKey": "string",    "manufactureTitle": "string",    "manufactureText": "string",    "showAdditionalProductInfo": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty